Bug 249578 - Weird output from "file -i"
Weird output from "file -i"
Product: Fedora
Classification: Fedora
Component: file (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Bacovsky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-25 11:52 EDT by Stepan Kasal
Modified: 2009-06-03 21:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-20 10:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2007-07-25 11:52:03 EDT
$ file -i foo.doc
foo.doc: application/msword application/msword

Why is the result print twice?
In other words:
The string "application/msword application/msword" is not a correct MIME type.

Comment 1 Martin Bacovsky 2007-08-20 10:08:17 EDT
File was broken by one of our older patches (now partly redundant) and wrong
rule in magic. This issue should be fixed in RAWHIDE (file-4.21-3.fc8).
Comment 2 Tyler Bannister 2009-06-03 21:22:53 EDT
I am currently experiencing the same problem with some .doc files and .xls files on my Red Hat Enterprise Linux Server release 5.3 (Tikanga).

So far it seems to affect files generated by Word and Excel, but not files generated from Open Office using those formats.

Note You need to log in before you can comment on or make changes to this bug.